Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.pkg
Enum OdfPackage.OdfFile

    java.lang.Object
      java.lang.Enum<OdfPackage.OdfFile>
          org.odftoolkit.odfdom.pkg.OdfPackage.OdfFile

All Implemented Interfaces:
  Serializable, Comparable<OdfPackage.OdfFile>

Enclosing class:
  OdfPackage

    public static enum OdfPackage.OdfFile

extends Enum<OdfPackage.OdfFile>

Enum Constant Summary
`IMAGE_DIRECTORY`
`MANIFEST`
`MEDIA_TYPE`

Method Summary
`String` | `getPath()`
`static OdfPackage.OdfFile` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfPackage.OdfFile[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### IMAGE_DIRECTORY

    public static final OdfPackage.OdfFile IMAGE_DIRECTORY

### MANIFEST

    public static final OdfPackage.OdfFile MANIFEST

### MEDIA_TYPE

    public static final OdfPackage.OdfFile MEDIA_TYPE

Method Detail

### values

    public static OdfPackage.OdfFile[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfPackage.OdfFile c : OdfPackage.OdfFile.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfPackage.OdfFile valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getPath

    public String getPath()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.